using System;
using CriWare;
using UnityEngine;

public class EffectBattle : EffectIdx
{
	[HideInInspector]
	public EffectMgr.MoveType moveType;

	[HideInInspector]
	public CriAtomSource ECriAtomSource;

	private Vector3 FromPos;

	public Animation AnimationObj;

	[HideInInspector]
	public EffectMgr.EngineType engineType { get; set; }

	[Obsolete]
	public void PlaySummon(BattleCardBase card, Vector3 p0)
	{
		FromPos = p0;
		base.gameObject.transform.position = FromPos;
	}

	private void Start()
	{
		if (engineType == EffectMgr.EngineType.SOLID && AnimationObj == null)
		{
			AnimationObj = base.transform.GetComponentInChildren<Animation>();
		}
	}
}
